Package ghidra.app.util.bin.format.pe.cli.blobs

# Class CliAbstractSig.CliTypeBase

java.lang.Object
ghidra.app.util.bin.format.pe.cli.blobs.CliAbstractSig.CliTypeBase

All Implemented Interfaces:
  `CliRepresentable`

Direct Known Subclasses:
  `CliAbstractSig.CliParam`, `CliAbstractSig.CliRetType`

Enclosing class:
  `CliAbstractSig`

public class CliAbstractSig.CliTypeBase extends Object implements CliRepresentable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CliTypeBase(BinaryReader reader, boolean isRetType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CliAbstractSig.CliCustomMod>`
  `getCustomMods()`
  `DataType`
  `getDefinitionDataType()`
  `DataType`
  `getExecutionDataType()`
  `String`
  `getRepresentation()`
  `String`
  `getRepresentation(CliStreamMetadata stream)`
  `String`
  `getShortRepresentation()`
  `String`
  `getShortRepresentation(CliStreamMetadata stream)`
  `CliAbstractSig.CliSigType`
  `getType()`
  `boolean`
  `isByRef()`
  `boolean`
  `isConstrained()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CliTypeBase

    public CliTypeBase(BinaryReader reader, boolean isRetType) throws IOException, InvalidInputException
    Throws:
      `IOException`
      `InvalidInputException`

- ## Method Details

  - ### getType

    public CliAbstractSig.CliSigType getType()

  - ### getCustomMods

    public List<CliAbstractSig.CliCustomMod> getCustomMods()

  - ### isByRef

    public boolean isByRef()

  - ### isConstrained

    public boolean isConstrained()

  - ### getRepresentation

    public String getRepresentation()
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getRepresentation

    public String getRepresentation(CliStreamMetadata stream)
    Specified by:
      `getRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation()
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`

  - ### getShortRepresentation

    public String getShortRepresentation(CliStreamMetadata stream)
    Specified by:
      `getShortRepresentation` in interface `CliRepresentable`

  - ### getDefinitionDataType

    public DataType getDefinitionDataType()

  - ### getExecutionDataType

    public DataType getExecutionDataType()